Summary:	Library integrating clutter with GTK+
Summary(pl.UTF-8):	Biblioteka integrująca clutter z GTK+
Name:		clutter-gtk
Version:	1.6.0
Release:	1
License:	LGPL v2+
Group:		X11/Libraries
Source0:	http://download.gnome.org/sources/clutter-gtk/1.6/%{name}-%{version}.tar.xz
# Source0-md5:	08e5d7c249733d4d96bbbd2dc970a06c
URL:		http://www.clutter-project.org/
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.11
BuildRequires:	clutter-devel >= 1.18.0
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel >= 0.18
BuildRequires:	glibc-misc
BuildRequires:	gobject-introspection-devel >= 0.9.12
BuildRequires:	gtk+3-devel >= 3.6.0
BuildRequires:	gtk-doc >= 1.14
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	pkgconfig
BuildRequires:	python-modules
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	clutter >= 1.18.0
Requires:	gtk+3 >= 3.6.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Library integrating clutter with GTK+.

%description -l pl.UTF-8
Biblioteka integrująca clutter z GTK+.

%package devel
Summary:	Header files for clutter-gtk library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki clutter-gtk
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	clutter-devel >= 1.13.7
Requires:	gtk+3-devel >= 3.6.0

%description devel
Header files for clutter-gtk library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki clutter-gtk.

%package static
Summary:	Static clutter-gtk library
Summary(pl.UTF-8):	Statyczna biblioteka clutter-gtk
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static clutter-gtk library.

%description static -l pl.UTF-8
Statyczna biblioteka clutter-gtk.

%package apidocs
Summary:	clutter-gtk API documentation
Summary(pl.UTF-8):	Dokumentacja API clutter-gtk
Group:		Documentation
Requires:	gtk-doc-common
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
clutter-gtk API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API clutter-gtk.

%prep
%setup -q

%build
%{__gtkdocize}
%{__libtoolize}
%{__aclocal} -I build/autotools
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-gtk-doc \
	--enable-static \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang cluttergtk-1.0

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f cluttergtk-1.0.lang
%defattr(644,root,root,755)
%doc NEWS README
%attr(755,root,root) %{_libdir}/libclutter-gtk-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libclutter-gtk-1.0.so.0
%{_libdir}/girepository-1.0/GtkClutter-1.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libclutter-gtk-1.0.so
%{_includedir}/clutter-gtk-1.0
%{_pkgconfigdir}/clutter-gtk-1.0.pc
%{_datadir}/gir-1.0/GtkClutter-1.0.gir

%files static
%defattr(644,root,root,755)
%{_libdir}/libclutter-gtk-1.0.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/%{name}-1.0
%changelog
* Wed Oct 01 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/clutter-gtk.git;a=log;h=master

* Wed Oct 01 2014 Łukasz Kieś <kiesiu@pld-linux.org> 398a089
- updated to 1.6.0

* Thu Apr 03 2014 Elan Ruusamäe <glen@delfi.ee> 23c2f3e
- noarch apidocs

* Mon Mar 03 2014 Jan Rękorajski <baggins@pld-linux.org> 762ce92
- release 3 (by relup.sh)

* Sat Sep 28 2013 Artur Frysiak <artur@frysiak.net> 32806fb
- Release 2

* Fri Mar 29 2013 Jakub Bogusz <qboosh@pld-linux.org> ec7f39c
- Merge branch 'master' of git://git.pld-linux.org/packages/clutter-gtk

* Fri Mar 29 2013 Jakub Bogusz <qboosh@pld-linux.org> 8c01480
- updated to 1.4.4

* Tue Mar 26 2013 Łukasz Kieś <kiesiu@pld-linux.org> 414e936
- updated to 1.4.4

* Wed Dec 19 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 91b6790
- Update to 1.4.2

* Thu Oct 18 2012 Łukasz Kieś <kiesiu@pld-linux.org> 4d6ef2d
- updated to 1.4.0

* Thu Sep 27 2012 Łukasz Kieś <kiesiu@pld-linux.org> 760446e
- rel. 3

* Wed Sep 26 2012 Łukasz Kieś <kiesiu@pld-linux.org> 6d16b15
- rel. 2; rebuild with new cogl and clutter

* Wed Mar 28 2012 Jakub Bogusz <qboosh@pld-linux.org> 9d113f3
- versioned install-time gtk+3 dependency

* Fri Mar 23 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 53a7561
- updated to 1.2.0

* Thu Sep 29 2011 Artur Frysiak <artur@frysiak.net> e9885b7
- up to 1.0.4

* Fri Jul 29 2011 Patryk Zawadzki <patrys@room-303.com> 7be0fe7
- 1.0.2

* Thu Apr 21 2011 Jakub Bogusz <qboosh@pld-linux.org> ec25e74
- updated clutter and gettext dependencies

* Tue Apr 05 2011 Artur Frysiak <artur@frysiak.net> 63bb219
- up to 1.0.0 (merged from DEVEL)

* Mon Jan 03 2011 Jakub Bogusz <qboosh@pld-linux.org> 6b8ebf8
- updated deps, explicit ac/am/lt rebuild

* Thu Nov 18 2010 hawk <hawk@pld-linux.org> e27c174
- build fix for gtk/gtk.h: No such file or directory

* Sat Sep 25 2010 Patryk Zawadzki <patrys@room-303.com> 98acb25
- 0.10.8

